/* CSS for Customizer Custom Controls */

.popularfx-edit-link{
display: block;
border:1px solid #ccc;
border-bottom:0px solid #ccc;
padding: 8px;
font-size: 14px;
font-weight: 600;
font-style: normal;
text-decoration: none;
background: #fff;
}

.popularfx-edit-link:last-of-type{
margin-bottom: 30px;
border-bottom:1px solid #ccc;
}

.popularfx-edit-link:hover{
background: #efefef;
}

/* Standard Selection */

#customize-control-popularfx_sidebar_default{
border-bottom: 1px double #ccc;
padding-bottom: 15px;
}

#accordion-section-popularfx_pro_link,
#accordion-section-no_pagelayer {
background: #fff;
font-size: 13px;
font-weight: 600;
text-align: right;
}

#accordion-section-no_pagelayer{
background: #FF0000;
}

#accordion-section-popularfx_pro_link a,
#accordion-section-no_pagelayer a{
padding:10px;
display: block;
text-decoration: none;
text-align: left;
}

#accordion-section-no_pagelayer a{
color: #FFEDD3;
}

#accordion-section-popularfx_pro_link a span,
#accordion-section-no_pagelayer a span{
padding-right: 5px;
}

.popularfx-customize-description {
width:100%;
float: left;
}

/* Alpha Color Picker  */
.customize-control-alpha-color .wp-picker-container .iris-picker {
border-bottom:none;
}

.customize-control-alpha-color .wp-picker-container {
max-width: 257px;
}

.customize-control-alpha-color .wp-picker-open + .wp-picker-input-wrap {
width: 100%;
}

.customize-control-alpha-color .wp-picker-input-wrap input[type="text"].wp-color-picker.alpha-color-control {
float: left;
width: 195px;
}

.customize-control-alpha-color .wp-picker-input-wrap .button {
margin-left: 0;
float: right;
}

.wp-picker-container .wp-picker-open ~ .wp-picker-holder .alpha-color-picker-container {
display: block;
}

.alpha-color-picker-container {
border: 1px solid #dfdfdf;
border-top: none;
display: none;
background-color: #fff;
padding: 0 11px 10px;
position: relative;
}

.alpha-color-picker-container .ui-widget-content,
.alpha-color-picker-container .ui-widget-header,
.alpha-color-picker-wrap .ui-state-focus {
background: transparent;
border: none;
}

.alpha-color-picker-wrap a.iris-square-value:focus {
-webkit-box-shadow: none;
box-shadow: none;
}

.alpha-color-picker-container .ui-slider {
position: relative;
z-index: 1;
height: 24px;
text-align: center;
margin: 0 auto;
width: 88%;
width: calc( 100% - 28px );
}

.alpha-color-picker-container .ui-slider-handle,
.alpha-color-picker-container .ui-widget-content .ui-state-default {
color: #777;
background-color: #fff;
text-shadow: 0 1px 0 #fff;
text-decoration: none;
position: absolute;
z-index: 2;
box-shadow: 0 1px 2px rgba(0,0,0,0.2);
border: 1px solid #aaa;
-webkit-border-radius: 4px;
-moz-border-radius: 4px;
border-radius: 4px;
margin-top: -2px;
top: 0;
height: 26px;
width: 26px;
cursor: ew-resize;
font-size: 0;
padding: 0;
line-height: 27px;
margin-left: -14px;
}

.alpha-color-picker-container .ui-slider-handle.show-opacity {
font-size: 12px;
}

.alpha-color-picker-container .click-zone {
width: 14px;
height: 24px;
display: block;
position: absolute;
left: 10px;
}

.alpha-color-picker-container .max-click-zone {
right: 10px;
left: auto;
}

.alpha-color-picker-container .transparency {
height: 24px;
width: 100%;
background-color: #fff;
background-image: url(./images/color-picker-transparency-grid.png);
box-shadow: 0 0 5px rgba(0,0,0,0.4) inset;
-webkit-border-radius: 3px;
-moz-border-radius: 3px;
border-radius: 3px;
padding: 0;
margin-top: -24px;
}

@media only screen and (max-width: 782px) {
.customize-control-alpha-color .wp-picker-input-wrap input[type="text"].wp-color-picker.alpha-color-control {
	width: 184px;
}
}

@media only screen and (max-width: 640px) {
.customize-control-alpha-color .wp-picker-input-wrap input[type="text"].wp-color-picker.alpha-color-control {
	width: 172px;
	height: 33px;
}
}

/* Alpha Color Picker & Standard Color Picker */
.customize-control-color .wp-color-result,
.customize-control-alpha-color .wp-color-result {
box-shadow: none;
}

.customize-control-color .wp-color-result .wp-color-result-text,
.customize-control-alpha-color .wp-color-result .wp-color-result-text {
border-left: none;
}

.wp-picker-holder .iris-picker .iris-palette {
box-shadow: none;
}

.wp-picker-container .iris-picker,
.wp-picker-container .alpha-color-picker-container {
border-radius: 0;
border: none;
}

.wp-picker-container .alpha-color-picker-container {
width: 233px;
}

/* WPColorPicker Alpha Color Picker */
.customize-control-wpcolorpicker-alpha-color .wp-color-result {
box-shadow: none;
}

.customize-control-wpcolorpicker-alpha-color .wp-picker-input-wrap input[type="text"].wp-color-picker {
float: left;
width: 195px;
}

.customize-control-wpcolorpicker-alpha-color .wp-color-result .wp-color-result-text {
border-left: none;
}

/* Custom checkbox style start */
#customize-control-pfx_enable_scrolltop input[type="checkbox"]{
float: right;
font-size: 12px;
margin: 0px;
-webkit-appearance: none;
-moz-appearance: none;
appearance: none;
width: 3.5em;
height: 1.7em;
background: #ddd;
border-radius: 3em;
position: relative;
cursor: pointer;
outline: none;
-webkit-transition: all .2s ease-in-out;
transition: all .2s ease-in-out;
}

#customize-control-pfx_enable_scrolltop .customize-inside-control-row{
margin-left: 0px !important;
text-transform: capitalize;
}

#customize-control-pfx_enable_scrolltop input[type="checkbox"]:checked{
background-color: #1A9CDB;
border-color: #1A9CDB;
}

#customize-control-pfx_enable_scrolltop input[type="checkbox"]:after{
position: absolute;
content: "";
width: 1.5em;
height: 1.5em;
border-radius: 50%;
background: #fff;
-webkit-box-shadow: 0 0 .25em rgba(0,0,0,.3);
box-shadow: 0 0 .25em rgba(0,0,0,.3);
-webkit-transform: scale(.7);
transform: scale(.7);
left: 0;
-webkit-transition: all .2s ease-in-out;
transition: all .2s ease-in-out;
}

#customize-control-pfx_enable_scrolltop input[type="checkbox"]:checked:before{
display: none;
}

#customize-control-pfx_enable_scrolltop input[type="checkbox"]:checked:after{
left: calc(100% - 1.5em);
}
/* Custom checkbox style end*/

.wpforms-field-date-time .wpforms-datepicker[type="text"] {
    padding-right: 30px;
}

.wpforms-field-date-time .wpforms-datepicker[type="text"] + .clear-date {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    display: none;
}

.wpforms-field-date-time .wpforms-datepicker[type="text"]:not(:placeholder-shown) + .clear-date {
    display: block;
}

.entry-content {
  background-color: #000000;
}

.pagelayer-social-fa.fab.fa-tiktok {
  color: #ffffff;
}

#post-3,
#post-1366,
#post-1390,
#post-546,
#post-1384,
#post-1399 {
	max-width: 1200px;
	margin: 0 auto;
}

.page-id-3 .p-4jj7828,
.page-id-1366 .p-4jj7828,
.page-id-1390 .p-4jj7828,
.page-id-546 .p-4jj7828,
.page-id-1384 .p-4jj7828,
.page-id-1399  .p-4jj7828,
.woocommerce-shop .p-4jj7828,
.page-id-537 .p-4jj7828,
.page-id-540 .p-4jj7828,
.single-product .p-4jj7828,
.archive .p-4jj7828 {
	min-height: 10vh!important;
	background: #000!important;
}


.archive .site-main,
.single .site-main {
	    max-width: 80%!important;
    margin: 24px auto!important;
}

#primary {
	background: #000!important;
}


.page-id-1399 .p-shg9365,
.page-id-1399 .p-in88668,
.page-id-1399 .p-in88668,
.page-id-3 .p-shg9365,
.page-id-3 .p-in88668,
.page-id-3 .p-in88668,
.page-id-1384 .p-shg9365,
.page-id-1384 .p-in88668,
.page-id-1384 .p-in88668, 
.page-id-1366  .p-shg9365,
.page-id-1366  .p-in88668,
.page-id-1366  .p-in88668,
.page-id-1390  .p-shg9365,
.page-id-1390  .p-in88668,
.page-id-1390  .p-in88668,
.page-id-546  .p-shg9365,
.page-id-546  .p-in88668,
.page-id-546  .p-in88668,
.page-id-3 .footer-ua,
.page-id-1366 .footer-ru,
.page-id-1390 .footer-ua,
.page-id-546 .footer-ua,
.woocommerce-shop .footer-ua,
.page-id-537 .footer-ua,
.page-id-540 .footer-ua,
.single-product .footer-ua,
.single-product .p-in88668,
.archive .footer-ua,
.archive .p-in88668
{
	display: none;
}

.page-id-1283 .p-4jj7828 {
	    background-image: url(https://tetyafanya.online/wp-content/uploads/2025/02/izobrazhenie_whatsapp_2024_06_24_v_13_01_22_1e1e256a.png) !important;
}

.p-zlz6726,
.pagelayer-wp_menu-ul,
.page-id-120 .footer-ua,
.page-id-1283 .footer-ru {
	display: none!important;
}

.pagelayer-icon-holder[class*="pagelayer-instagram"] .pagelayer-social-fa {
  color: #e100ff;
}

.pagelayer-background-overlay {
  color: #000000;
}

/* Контейнер списка товаров */
.product_list_widget {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px; /* Расстояние между карточками */
    margin: 0;
    padding: 0;
    list-style: none;
}

/* Карточка товара */
.product_list_widget li {
    flex: 1 1 calc(25% - 20px); /* Ширина 25% минус отступы */
    display: flex;
    flex-direction: column; /* Вертикальное расположение */
    align-items: center; /* Выравнивание всех элементов по центру */
    text-align: center;
    margin: 0;
    padding: 15px;
    border: 1px solid #eaeaea;
    border-radius: 5px;
    background-color: #ffffff91;
    transition: box-shadow 0.3s ease, transform 0.2s ease;
}

.product_list_widget li:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transform: translateY(-5px);
}

/* Адаптивность */
@media (max-width: 1024px) {
    .product_list_widget li {
        flex: 1 1 calc(33.33% - 20px); /* 3 в ряд */
    }
}

@media (max-width: 768px) {
    .product_list_widget li {
        flex: 1 1 calc(50% - 20px); /* 2 в ряд */
    }
}

@media (max-width: 480px) {
    .product_list_widget li {
        flex: 1 1 100%; /* 1 в ряд */
    }
}

/* Ссылка товара */
.product_list_widget li a {
    text-decoration: none;
    color: inherit;
    display: flex;
    flex-direction: column;
    align-items: center; /* Горизонтальное выравнивание содержимого по центру */
}

/* Изображение товара */
.product_list_widget li img {
    width: auto; /* Сохраняет пропорции изображения */
    max-width: 250px;
    height: auto;
    margin: 0 auto 20px; /* 20px отступ снизу до названия */
    display: block;
    border-radius: 150px;
}

/* Название товара */
.product_list_widget li .product-title {
    font-weight: 500;
    margin: 0 0 10px; /* Отступ снизу для цены */

    text-decoration: none;
    transition: color 0.3s ease;
}

.product_list_widget li .product-title:hover {
 
}

/* Цена товара */
.product_list_widget li del .woocommerce-Price-amount {
    text-decoration: line-through;
    margin-right: 5px;
}

.product_list_widget li ins .woocommerce-Price-amount {
    font-weight: bold;
}

/* Кнопка "Купить" */
.product_list_widget li .button {
    display: inline-block;
    margin-top: 10px;
    padding: 8px 16px;
    text-transform: uppercase;
    font-weight: 600;

    background-color: #007cba;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    text-decoration: none;
}

.product_list_widget li .button:hover {
    background-color: #005a8c;
}
/* Общий контейнер для товаров */
.woocommerce ul.products {
    width: 80%;
    margin: 0 auto;
}

@media (max-width: 1024px) { /* Планшеты */
    .woocommerce ul.products {
        width: 90%;
    }
}

@media (max-width: 768px) { /* Мобильные устройства */
    .woocommerce ul.products {
        width: 95%;
    }
}

/* Кнопка "Купить" */
.woocommerce a.button {
    background-color: gold;
    color: #000;
    font-size: 130%; /* Увеличение шрифта на 30% */
    text-transform: uppercase; /* Заглавные буквы */
    border: none;
    padding: 10px 20px;
    display: inline-block;
    text-align: center;
    margin-top: 15px;
}

.woocommerce a.button:hover {
    background-color: darkgoldenrod;
    color: #fff;
}

/* Убрать ввод количества */
.woocommerce .quantity {
    display: none;
}

/* Убрать бордер общего контейнера */
.woocommerce div.product {
    border: none;
}/* Общий контейнер для товаров */
.woocommerce ul.products {
    width: 80%;
    margin: 0 auto;
}

@media (max-width: 1024px) { /* Планшеты */
    .woocommerce ul.products {
        width: 90%;
    }
}

@media (max-width: 768px) { /* Мобильные устройства */
    .woocommerce ul.products {
        width: 95%;
    }
}

.p-4jj7828 {
    min-height: 95vh;
    background-image: url(https://tetyafanya.online/wp-content/uploads/2025/01/izobrazhenie_whatsapp_2024_06_24_v_13_01_22_1e1e256a.png)!important;
    background-attachment: scroll!important;
    background-position-x: center!important;
    background-position-y: center!important;
    background-repeat: no-repeat!important;
    background-size: cover!important;
    padding-top: 20px;
    padding-right: 0px;
    padding-bottom: 20px;
    padding-left: 0px;
}

/* Кнопка "Купить" */
.woocommerce a.button {
    background-color: gold;
    color: #000;
    font-size: 130%; /* Увеличение шрифта на 30% */
    text-transform: uppercase; /* Заглавные буквы */
    border: none;
    padding: 10px 20px;
    display: inline-block;
    text-align: center;
    margin-top: 15px;
}

.popup-form {
	display: block!important;
}

.woocommerce a.button:hover {
    background-color: darkgoldenrod;
    color: #fff;
}

/* Убрать ввод количества */
.woocommerce .quantity {
    display: none;
}

/* Убрать бордер общего контейнера */
.woocommerce div.product {
    border: none;
}
/* Общий контейнер для страницы одиночного товара */
.woocommerce div.product {
    width: 80%;
    margin: 0 auto;
    border: none; /* Убрать бордер */
}

@media (max-width: 1024px) { /* Планшеты */
    .woocommerce div.product {
        width: 90%;
    }
}

@media (max-width: 768px) { /* Мобильные устройства */
    .woocommerce div.product {
        width: 95%;
    }
}

/* Кнопка "Купить" на странице товара */
.woocommerce div.product .single_add_to_cart_button {
    background-color: gold;
    color: #000;
    font-size: 130%; /* Увеличение шрифта на 30% */
    text-transform: uppercase; /* Заглавные буквы */
    border: none;
    padding: 10px 20px;
    display: inline-block;
    text-align: center;
    margin-top: 15px;
}

.woocommerce div.product .single_add_to_cart_button:hover {
    background-color: darkgoldenrod;
    color: #fff;
}

/* Убрать ввод количества на странице товара */
.woocommerce div.product form.cart .quantity {
    display: none;
}
.woocommerce ul.products li.product .price {
    display: block;
    font-weight: 400;
    margin-bottom: 0;
    font-size: 1.5em;
}
.woocommerce ul.products li.product .price del {
    color: #ffffff;
    opacity: .5;
    display: inline-block;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price {
    color: #ffffff;
}
.woocommerce main, .woocommerce-page main {
    margin: 40px auto;
    border: 0px solid #eaeaea;
    box-shadow: 0px 0px 30px 0 #0000000a;
    padding: 15px;
}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {
    color: #ffffff;
    font-size: 1.5em;
}
.woocommerce div.product .woocommerce-tabs ul.tabs {

    display: none;
}
/* Контейнеры для страниц оформления заказа, корзины и прочих */
.woocommerce-cart .site-main, 
.woocommerce-checkout .site-main, 
.woocommerce-account .site-main, 
.woocommerce-thankyou .site-main, 
.woocommerce-lost-password .site-main, 
.woocommerce-order-received .site-main {
    width: 80%;
    margin: 0 auto;
    border: none; /* Убрать бордер */
}

@media (max-width: 1024px) { /* Планшеты */
    .woocommerce-cart .site-main, 
    .woocommerce-checkout .site-main, 
    .woocommerce-account .site-main, 
    .woocommerce-thankyou .site-main, 
    .woocommerce-lost-password .site-main, 
    .woocommerce-order-received .site-main {
        width: 90%;
    }
}

@media (max-width: 768px) { /* Мобильные устройства */
    .woocommerce-cart .site-main, 
    .woocommerce-checkout .site-main, 
    .woocommerce-account .site-main, 
    .woocommerce-thankyou .site-main, 
    .woocommerce-lost-password .site-main, 
    .woocommerce-order-received .site-main {
        width: 95%;
    }
}

/* Кнопки на сервисных страницах */
.woocommerce .button, 
.woocommerce button, 
.woocommerce input[type="submit"], 
.woocommerce a.button {
    background-color: gold;
    color: #000;
    font-size: 130%; /* Увеличение шрифта на 30% */
    text-transform: uppercase; /* Заглавные буквы */
    border: none;
    padding: 10px 20px;
    display: inline-block;
    text-align: center;
    margin-top: 15px;
}

.woocommerce .button:hover, 
.woocommerce button:hover, 
.woocommerce input[type="submit"]:hover, 
.woocommerce a.button:hover {
    background-color: darkgoldenrod;
    color: #fff;
}

/* Убрать ввод количества на страницах корзины и оформления заказа */
.woocommerce-cart .quantity, 
.woocommerce-checkout .quantity {
    display: none;
}

/* Стили таблицы в корзине */
.woocommerce-cart table.cart {
    border: none; /* Убрать бордер у таблицы */
}

.woocommerce-cart table.cart th, 
.woocommerce-cart table.cart td {
    border: none; /* Убрать бордер у ячеек */
    padding: 10px;
}

/* Убрать лишние бордеры в формах */
.woocommerce-checkout .form-row, 
.woocommerce-account .woocommerce-MyAccount-content {
    border: none;
}
/* body.woocommerce .site-main {
    background: url('https://tetyafanya.online/wp-content/uploads/2025/01/pngtree-white-smoke-falling-on-black_1162840.png') no-repeat center top;
    background-size: cover;
    background-attachment: fixed;
} */

.page-id-1283 .p-s642895 {
    align-content: end !important;
}

.woocommerce .related ul.products {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
}